Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Does Ubuntu approve an application which is written using Adobe AIR technology? Yes, we know Adobe abandoned support for AIR for Linux. But still we can use Adobe AIR 2.6 and create applications using that.

share|improve this question
    
Then when security vulnerabilities and serious bugs are found in Adobe AIR, these wont get updated since Adobe abadoned AIR for Linux. It is okay to improve existing AIR applications, but do not use AIR for anything new. –  Anonymous Nov 22 '11 at 20:11
    
If you develop using AIR, then your software will be dependent on dying proprietary technology. Adobe is abandoning Flex too, and Flash is dying too. Future Adobe software will focus on HTML5. AIR, Flex, SWF, Shockwave, Flash, etc are all dying technology. –  Anonymous Nov 22 '11 at 20:13
add comment

1 Answer

Looking at the Canonical partner repository, it seems that Adobe AIR is only offered as a package available from there from Ubuntu 10.04 to Ubuntu 11.04.

So starting from Ubuntu 11.10 Adobe AIR is no longer supported as far as I can tell.

As an alternative, you might want to look at another technology to write your application. Also, I've noticed that there is this non-open-source but gratis application that is written in AIR and bundle their own Adobe AIR package (I guess from Adobe). Have a look at their .run file for Linux to see how they install the app.

In any case, this is just an example for your reference. If Adobe is abandoning Linux support for AIR, you should really consider using another supported technology if Ubuntu is one of your target platforms.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.